/* MUST have min-height or aspect-ratio, must not be hidden; set z-index to enforce a new stacking context */
.ce-address-map {
    position: relative;
    z-index: 0;
    aspect-ratio: 16/9;
    background-color: rgba(0, 0, 0, 0.1);
    box-sizing: initial;
    margin-bottom: 2.5rem;
}

.ce-address-list-item {
    margin-bottom: 1.25rem;
}

.ce-address-maplist .ttaddress__markerlink {
    visibility: hidden;
}

.ce-address-map-enabled .ce-address-maplist .ttaddress__markerlink {
    visibility: visible;
}

.ce-address-map .ce-media-overlay {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 1.25rem;
}

.ce-address-map .ce-media-overlay p {
    text-align: center;
}

@media (min-width: 47.5em) {
    .ce-address-maplist {
        display: flex;
    }

    .ce-address-maplist .ce-address-map {
        flex-grow: 1;
    }

    .ce-addres-maplist .ce-address-list {
        padding-right: 1.25rem;
    }

    .ce-address-maplist-list-outer {
        position: relative;
        overflow: hidden;
        width: 34%;
        flex-grow: 0;
        flex-shrink: 0;
    }

    .ce-address-maplist-list-inner {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        overflow: auto;
    }
}

.ce-address-map h1,
.ce-address-map h2,
.ce-address-map h3,
.ce-address-map h4,
.ce-address-map h5,
.ce-address-map .h1,
.ce-address-map .h2,
.ce-address-map .h3,
.ce-address-map .h4,
.ce-address-map .h5 {
    z-index: 1;
}

.ce-address-list {
    list-style-type: none;
    padding-right: 1rem;
}
.ce-address-list p {
    margin: 0 0 0.8325rem;
}
.ce-address-list .ce-type-address {
    margin-bottom: 0.8325rem;
}
